Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.security.management.credentials
Class CredentialManagerProxy

    java.lang.Object
      com.bea.p13n.security.management.credentials.CredentialManagerProxy

    public class CredentialManagerProxy

extends Object

This class provides access to Credential management functions as defined by the WLS Security Service Provider Interface (SSPI). This class acts as a proxy for a single, configured Credential Mapper Provider plug-in by proxying calls to the `UserPasswordCredentialMapEditorMBean` and `UserPasswordCredentialMapReaderMBean` classes.

This class should not contain any layered product dependencies.

Since it is possible that a Credential Mapper Provider may not implement all optional management interfaces, an `OperationNotSupportedException` may be thrown.

This class is constructed using the `CredentialProviderDescription`.

Constructor Summary
`CredentialManagerProxy(CredentialProviderDescription aProviderDescription, weblogic.security.acl.internal.AuthenticatedSubject authSubject)`
`CredentialManagerProxy(CredentialProviderDescription aProviderDescription, boolean cacheAdminMBean, weblogic.security.acl.internal.AuthenticatedSubject authSubject)`

Method Summary
`String` | `getRemoteUserName(String resourceId, String wlsUser)`
`String` | `getUniqueName()` Get the unique name for this CredentialManagerProxy.
`List` | `listResourceMappings(P13nResource resourceId)`
`void` | `removeUserPasswordCredential(String resourceId, String remoteUser)`
`void` | `removeUserPasswordCredentialMapping(String resourceId, String wlsUser)`
`void` | `setUserPasswordCredential(String resourceId, String remoteUser, String remotePassword)`
`void` | `setUserPasswordCredentialMapping(String resourceId, String wlsUser, String remoteUser)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CredentialManagerProxy

    public CredentialManagerProxy(CredentialProviderDescription aProviderDescription,
                                  weblogic.security.acl.internal.AuthenticatedSubject authSubject)

### CredentialManagerProxy

    public CredentialManagerProxy(CredentialProviderDescription aProviderDescription,
                                  boolean cacheAdminMBean,
                                  weblogic.security.acl.internal.AuthenticatedSubject authSubject)

Method Detail

### getUniqueName

    public String getUniqueName()

  Get the unique name for this CredentialManagerProxy. It's the concatenation of the display name with the version.

### setUserPasswordCredential

    public void setUserPasswordCredential(String resourceId,
                                          String remoteUser,
                                          String remotePassword)

### setUserPasswordCredentialMapping

    public void setUserPasswordCredentialMapping(String resourceId,
                                                 String wlsUser,
                                                 String remoteUser)
                                          throws NotFoundException

  Throws
    `NotFoundException`

### getRemoteUserName

    public String getRemoteUserName(String resourceId,
                                    String wlsUser)
                             throws NotFoundException

  Throws
    `NotFoundException`

### listResourceMappings

    public List listResourceMappings(P13nResource resourceId)

### removeUserPasswordCredential

    public void removeUserPasswordCredential(String resourceId,
                                             String remoteUser)
                                      throws NotFoundException

  Throws
    `NotFoundException`

### removeUserPasswordCredentialMapping

    public void removeUserPasswordCredentialMapping(String resourceId,
                                                    String wlsUser)
                                             throws NotFoundException

  Throws
    `NotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.